---
name: Chad Woolley
locality:
country: Remote
role: <a href="https://handbook.gitlab.com/job-families/engineering/development/backend/">Staff
  Backend Engineer</a>, Create:Remote Development
reports_to: adebayo_a
picture: chadwoolley.png
twitter: thewoolleyman
linkedin: thewoolleyman
gitlab: cwoolley-gitlab
pronouns: he/him
division: Engineering
departments:
- Core Development
- Engineering Function
- Development Department
- Dev Section
- Create:Remote Development BE Team
projects:
  gitlab-docs: maintainer
  gitlab:
  - maintainer backend
  - reviewer frontend
  www-gitlab-com: maintainer
  gitlab-web-ide: maintainer
  gitlab-development-kit: reviewer
story: |
  Chad has been doing coding, sysadmin, and ops for 30+ years, since the dawn
  of the web and before - from mainframes to the cloud. He has contributed to and
  created several open source projects. His hobbies include traveling, volunteering,
  learning Spanish, listening to and making music.
  Chad joined GitLab because their values are closely aligned with his own, and he believes in
  an all-remote culture. He is a happy user of the GitLab product for his own personal projects. A
  note on areas of "expertise" listed: "I'll never really consider myself an 'expert' in anything,
  but that's the nature of imposter syndrome and moving right on the Dunning-Kruger curve. I do know
  a few things about the topics of expertise I've listed, though (as well as many more), and at a
  minimum I can find someone else to ask ;)"
specialty:
- Remote Development
expertise: |
  <li><a href="https://gitlab.com/cwoolley-gitlab/cwoolley-gitlab/-/blob/main/README.md#chad-woolleys-gitlab-readme">README</a></li>
  <li>Expertise:
  <a href="https://en.wikipedia.org/wiki/Agile_software_development">agile</a> (<a href="http://www.extremeprogramming.org/">XP</a>),
  <a href="https://en.wikipedia.org/wiki/Test-driven_development">TDD</a>,
  <a href="https://en.wikipedia.org/wiki/Pair_programming">Pair Programming</a>,
  <a href="https://www.jetbrains.com/ruby/">JetBrains IDE</a>,
  <a href="https://docs.gitlab.com/ee/architecture/blueprints/modular_monolith/">Modular Monolith</a>,
  <a href="https://docs.gitlab.com/ee/ci/">CI/CD</a>,
  <a href="https://docs.gitlab.com/ee/integration/recaptcha.html">CAPTCHA</a>,
  </li>
domain_expertise:
- cicd
- coding_at_scale
- git
- rails
- ruby
- shell
job_title: Staff Fullstack Engineer
public: true

